Loading...
Searching...
No Matches
nifti_image Struct Reference

High level data structure for open nifti datasets in the nifti1_io API. Note that this structure is not part of the nifti1 format definition; it is used to implement one API for reading/writing formats in the nifti1 format. More...

`#include <nifti1_io.h>`

Collaboration diagram for nifti_image:
[legend]

## Public Attributes

int | ndim
int | nx
int | ny
int | nz
int | nt
int | nu
int | nv
int | nw
int | dim [8]
size_t | nvox
int | nbyper
int | datatype
float | dx
float | dy
float | dz
float | dt
float | du
float | dv
float | dw
float | pixdim [8]
float | scl_slope
float | scl_inter
float | cal_min
float | cal_max
int | qform_code
int | sform_code
int | freq_dim
int | phase_dim
int | slice_dim
int | slice_code
int | slice_start
int | slice_end
float | slice_duration
float | quatern_b
float | quatern_c
float | quatern_d
float | qoffset_x
float | qoffset_y
float | qoffset_z
float | qfac
mat44 | qto_xyz
mat44 | qto_ijk
mat44 | sto_xyz
mat44 | sto_ijk
float | toffset
int | xyz_units
int | time_units
int | nifti_type
int | intent_code
float | intent_p1
float | intent_p2
float | intent_p3
char | intent_name [16]
char | descrip [80]
char | aux_file [24]
char * | fname
char * | iname
int | iname_offset
int | swapsize
int | byteorder
void * | data
int | num_ext
nifti1_extension * | ext_list
analyze_75_orient_code | analyze75_orient

## Detailed Description

High level data structure for open nifti datasets in the nifti1_io API. Note that this structure is not part of the nifti1 format definition; it is used to implement one API for reading/writing formats in the nifti1 format.

## Member Data Documentation

## analyze75_orient

analyze_75_orient_code nifti_image::analyze75_orient

for old analyze files, orient

## aux_file

char nifti_image::aux_file[24]

auxiliary filename

## byteorder

int nifti_image::byteorder

byte order on disk (MSB_ or LSB_FIRST)

## cal_max

float nifti_image::cal_max

calibration parameter, maximum

## cal_min

float nifti_image::cal_min

calibration parameter, minimum

## data

void* nifti_image::data

pointer to data: nbyper*nvox bytes

## datatype

int nifti_image::datatype

type of data in voxels: DT_* code

## descrip

char nifti_image::descrip[80]

optional text to describe dataset

## dim

int nifti_image::dim[8]

dim[0]=ndim, dim[1]=nx, etc.

## dt

float nifti_image::dt

grid spacings

## du

float nifti_image::du

grid spacings

## dv

float nifti_image::dv

grid spacings

## dw

float nifti_image::dw

grid spacings

## dx

float nifti_image::dx

grid spacings

## dy

float nifti_image::dy

grid spacings

## dz

float nifti_image::dz

grid spacings

## ext_list

nifti1_extension* nifti_image::ext_list

array of extension structs (with data)

## fname

char* nifti_image::fname

header filename (.hdr or .nii)

## freq_dim

int nifti_image::freq_dim

indexes (1,2,3, or 0) for MRI

## iname

char* nifti_image::iname

image filename (.img or .nii)

## iname_offset

int nifti_image::iname_offset

offset into iname where data starts

## intent_code

int nifti_image::intent_code

statistic type (or something)

## intent_name

char nifti_image::intent_name[16]

optional description of intent data

## intent_p1

float nifti_image::intent_p1

intent parameters

## intent_p2

float nifti_image::intent_p2

intent parameters

## intent_p3

float nifti_image::intent_p3

intent parameters

## nbyper

int nifti_image::nbyper

bytes per voxel, matches datatype

## ndim

int nifti_image::ndim

< Image storage struct last dimension greater than 1 (1..7)

## nifti_type

int nifti_image::nifti_type

0==ANALYZE, 1==NIFTI-1 (1 file), 2==NIFTI-1 (2 files), 3==NIFTI-ASCII (1 file)

## nt

int nifti_image::nt

dimensions of grid array

## nu

int nifti_image::nu

dimensions of grid array

## num_ext

int nifti_image::num_ext

number of extensions in ext_list

## nv

int nifti_image::nv

dimensions of grid array

## nvox

size_t nifti_image::nvox

number of voxels = nx*ny*nz*...*nw

## nw

int nifti_image::nw

dimensions of grid array

## nx

int nifti_image::nx

dimensions of grid array

## ny

int nifti_image::ny

dimensions of grid array

## nz

int nifti_image::nz

dimensions of grid array

## phase_dim

int nifti_image::phase_dim

directions in dim[]/pixdim[]

## pixdim

float nifti_image::pixdim[8]

pixdim[1]=dx, etc.

## qform_code

int nifti_image::qform_code

codes for (x,y,z) space meaning

## qto_ijk

mat44 nifti_image::qto_ijk

qform: transform (x,y,z) to (i,j,k)

## qto_xyz

mat44 nifti_image::qto_xyz

qform: transform (i,j,k) to (x,y,z)

## quatern_b

float nifti_image::quatern_b

quaternion transform parameters [when writing a dataset, these are used for qform, NOT qto_xyz]

## scl_inter

float nifti_image::scl_inter

scaling parameter - intercept

## scl_slope

float nifti_image::scl_slope

scaling parameter - slope

## sform_code

int nifti_image::sform_code

codes for (x,y,z) space meaning

## slice_code

int nifti_image::slice_code

code for slice timing pattern

## slice_dim

int nifti_image::slice_dim

directions in dim[]/pixdim[]

## slice_duration

float nifti_image::slice_duration

time between individual slices

## slice_end

int nifti_image::slice_end

index for end of slices

## slice_start

int nifti_image::slice_start

index for start of slices

## sto_ijk

mat44 nifti_image::sto_ijk

sform: transform (x,y,z) to (i,j,k)

## sto_xyz

mat44 nifti_image::sto_xyz

sform: transform (i,j,k) to (x,y,z)

## swapsize

int nifti_image::swapsize

swap unit in image data (might be 0)

## time_units

int nifti_image::time_units

dt units: NIFTI_UNITS_* code

## toffset

float nifti_image::toffset

time coordinate offset

## xyz_units

int nifti_image::xyz_units

dx,dy,dz units: NIFTI_UNITS_* code

The documentation for this struct was generated from the following file:

- /build/nifticlib-y2uH4j/nifticlib-3.0.1/niftilib/nifti1_io.h